@font-face {
    font-family: posbarcodeFont;
    /*src: url(font/eanbwrp36tt.ttf);*/
    src: url(font/Paskowy-nP4.ttf);
    /*src: url(font/code128.ttf);*/
}

@media print {
    /*body { overflow: hidden; }*/
    body {
        position: static;
        overflow: initial;
        /*-webkit-print-color-adjust: exact;*/
    }
    /*ion-nav {
overflow: initial !important;
}
.scroll-content {
position: relative;
overflow:visible!important;
}*/
}

.datepicker {
    z-index: 1100 !important;
}

.pos_barcode {
    font-family: posbarcodeFont;
    font-size: 50px;
    color: black;
}

.searchByReceiptBarcode {
    margin-top: 10px;
    margin-bottom: 10px;
}

.pos-notify {
    background-color: #f1622b;
}

/***************************************************************************
                    Sale Page -->> Menu Item -->> Serial Number
/***************************************************************************/
.SerialNumberDiv {
    /*text-align: center;
    width: 200px;
    border-radius: 25px 0px;
    border: 2px solid black;
    padding: 15px 15px 15px 15px;
    margin: 20px 20px 20px 20px;
    background: #ce9434;
    overflow: visible;
    box-shadow: 3px 3px 0px black;
    position: relative;
    color: black;*/
    display: inline;
    width: 100%;
}

.SerialNumberCloseButton {
    /*position: absolute;
    background: red;
    color: white;
    top: -10px;
    right: -10px;
    border-radius: 10px;
    border-color: transparent;
    font-size:10px;
    font-weight:bold;
    font-family:Tahoma;*/
    float: left;
    padding: 4px 6px;
    background-color: red;
    color: white;
    border-radius: 5px 5px 5px 5px;
}
/***************************************************************************
                    Sale Page -->> Cart Part 
/***************************************************************************/
.cartHeader {
    font-size: 16px;
    display: inline-block;
    /*border:1px solid red;*/
}

.cart-placeholder {
    color: lightgrey;
}

.cartAdding {
    font-size: 16px;
    display: inline-block;
    vertical-align: top;
}

.cartLabelCell {
    border: solid 1px #ccc;
    min-height: 32px;
    margin-top: 5px;
    padding-top: 4px;
    padding-bottom: 5px;
}

.cartHeaderPadding {
    padding-left: 10px;
}

.cartCell {
    text-align: center;
    display: inline-block;
    vertical-align: top;
    word-wrap: break-word;
    margin-top: 5px;
    /*border:1px solid red;*/
}

.cartAlignCenter {
    text-align: center;
}

.cartAlignLeft {
    text-align: left;
}

.cartMarginRight {
    margin-right: 5px;
}

.cartStartPadding {
    padding-top: 8px;
    padding-bottom: 8px;
    padding-right: 0px;
}

.cartHeaderContainer {
    margin-top: 7px;
    margin-bottom: 5px;
    padding-right: 0px;
}

.cartDeleteBtn {
    float: left;
    padding: 6px 8px;
    background-color: #f65e48;
    color: white;
    border-radius: 5px 0px 0px 5px;
}

.cartOptionsBtn {
    float: left;
    padding: 6px 8px;
    background-color: #92a2ad;
    color: white;
    border-radius: 0px 5px 5px 0px;
}

.cartDeleteBtn:hover, .cartDeleteBtn:active {
    color: white;
    background-color: #e85641;
}

.cartOptionsBtn:hover, .cartOptionsBtn:active {
    color: white;
    background-color: #81909a;
}

.cartTxt {
    min-width: 20px;
    width: 50% !important;
}

.noWrap {
    white-space: nowrap;
}
/***************************************************************************
                    Sale Page -->> Add Customer Popup
/***************************************************************************/
.Pos_Checkbox {
    display: block !important;
    width: 50px;
    height: 20px;
}

.Modal_Customer_Add_EditBtn {
    float: none;
    background-color: #1478ce;
}
/***************************************************************************
                    Sales Order -->> Items -->> grid
/***************************************************************************/
.grid_Row {
    background-color: white;
}

.grid_Alternate_Row {
    background-color: #f9f9f9;
}

.sales_order_paid {
    height: 20px;
    min-width: 75px;
    width: 100%;
    white-space: nowrap;
    background-color: green;
    border: 1px solid green;
    text-align: center;
    font-weight: bold;
    font-family: Arial;
    border-radius: 5px;
    color: white;
}

.sales_order_notpaid {
    height: 20px;
    min-width: 75px;
    width: 100%;
    white-space: nowrap;
    background-color: red;
    border: 1px solid red;
    text-align: center;
    font-weight: bold;
    font-family: Arial;
    border-radius: 5px;
    color: white;
}

.sales_order_partiallypaid {
    height: 20px;
    min-width: 75px;
    width: 100%;
    white-space: nowrap;
    background-color: orange;
    border: 1px solid orange;
    text-align: center;
    font-weight: bold;
    font-family: Arial;
    border-radius: 5px;
    color: white;
}
/***************************************************************************
                                Receipt 
/***************************************************************************/
.receipt_Title {
    font-size: 40px;
    font-weight: bold;
}

/***************************************************************************
                                Reports 
/***************************************************************************/
.report_div {
    margin-top: 20px;
    margin-bottom: 20px;
    border: 2px solid #ce9434;
    background-color: black;
    color: white;
    border-radius: 20px;
    margin-left: 5%;
    padding-top: 10px;
    padding-bottom: 10px;
    width: 90%;
}

.report_title {
    text-align: center;
    font-size: 25px;
    font-weight: bold;
    color: #ce9434;
}

.report_description {
    color: white;
    font-size: 15px;
    padding-left: 10px;
}

/***************************************************************************
                                Autocomplete 
            Barcode Three Columns Autocomplete
/***************************************************************************/

/*Add the css for the new custome autocomplete*/
.ui-autocomplete {
    max-height: 200px;
    overflow-y: auto;
    overflow-x: hidden;
    width: auto !important;
    border: 0px !important;
    z-index: 999999 !important;
    position: fixed !important;
}

.ui-menu-item-wrapper {
    white-space: nowrap !important;
}

.AutoCompletLoading {
    background-color: #ffffff;
    background-image: url("../img/AutoCompletLoading.gif");
    background-size: 16px 16px;
    background-position: right center;
    background-repeat: no-repeat;
}

.barcodethreecolumnautocomplete::-webkit-scrollbar-track {
    width: 7px;
    border-radius: 7px;
    background: #f7f7f7;
    opacity: 0.2;
}

.barcodethreecolumnautocomplete::-webkit-scrollbar {
    width: 7px;
    border-radius: 7px;
    background: #f7f7f7;
    opacity: 0.2;
}

.barcodethreecolumnautocomplete::-webkit-scrollbar-thumb {
    width: 7px;
    border-radius: 7px;
    background: #d0d0d0;
    opacity: 0.2;
}

.barcodethreecolumnautocomplete li {
    display: table-row-group;
}

.barcodethreecolumnautocomplete a {
    display: table-row !important;
    color: black;
}

    .barcodethreecolumnautocomplete a.AutoCompleteLine:hover {
        background-color: #E6ECF0;
        color: black;
    }

    .barcodethreecolumnautocomplete a.AutoCompleteLine:focus {
        background-color: #E6ECF0;
        color: black;
    }

.barcodethreecolumnautocomplete .col {
    display: table-cell;
    padding: 4px;
    border-bottom: 1px solid #dfdfdf;
    border-left: 1px solid #dfdfdf;
}

.barcodethreecolumnautocomplete .colHeader {
    display: table-cell;
    color: darkslategrey;
    background-color: #d0d0d0;
    font-weight: bold;
    padding: 4px;
    border: 1px solid #dfdfdf;
    /*background: #f1f2f6;
    border: 1px solid #ddd;*/
}

.ie7 .barcodethreecolumnautocomplete .col {
    display: block;
    float: left;
    width: 15em;
    overflow: hidden;
    white-space: nowrap;
}
/***************************************************************************
                                End
            Barcode Three Columns Autocomplete
/***************************************************************************/

/***************************************************************************
                                Autocomplete 
            Customer Two Columns Autocomplete
/***************************************************************************/

/*Add the css for the new custome autocomplete*/
.customertwocolumnautocomplete::-webkit-scrollbar-track {
    width: 7px;
    border-radius: 7px;
    background: #f7f7f7;
    opacity: 0.2;
}

.customertwocolumnautocomplete::-webkit-scrollbar {
    width: 7px;
    border-radius: 7px;
    background: #f7f7f7;
    opacity: 0.2;
}

.customertwocolumnautocomplete::-webkit-scrollbar-thumb {
    width: 7px;
    border-radius: 7px;
    background: #d0d0d0;
    opacity: 0.2;
}

.customertwocolumnautocomplete li {
    display: table-row-group;
}

.customertwocolumnautocomplete a {
    display: table-row !important;
    color: black;
}

    .customertwocolumnautocomplete a.AutoCompleteLine:hover {
        background-color: #E6ECF0;
        color: black;
    }

    .customertwocolumnautocomplete a.AutoCompleteLine:focus {
        background-color: #E6ECF0;
        color: black;
    }

.customertwocolumnautocomplete .col {
    display: table-cell;
    padding: 4px;
    border-bottom: 1px solid #dfdfdf;
    border-left: 1px solid #dfdfdf;
}

.customertwocolumnautocomplete .colHeader {
    display: table-cell;
    color: darkslategrey;
    background-color: #d0d0d0;
    font-weight: bold;
    padding: 4px;
    border: 1px solid #dfdfdf;
}

.ie7 .customertwocolumnautocomplete .col {
    display: block;
    float: left;
    width: 15em;
    overflow: hidden;
    white-space: nowrap;
}
/***************************************************************************
                                End
            Customer Two Columns Autocomplete
/***************************************************************************/




/***************************************************************************
                                Autocomplete 
            Lot serial Three Columns Autocomplete
/***************************************************************************/

/*Add the css for the new custome autocomplete*/
.lotserialthreecolumnautocomplete::-webkit-scrollbar-track {
    width: 7px;
    border-radius: 7px;
    background: #f7f7f7;
    opacity: 0.2;
}

.lotserialthreecolumnautocomplete::-webkit-scrollbar {
    width: 7px;
    border-radius: 7px;
    background: #f7f7f7;
    opacity: 0.2;
}

.lotserialthreecolumnautocomplete::-webkit-scrollbar-thumb {
    width: 7px;
    border-radius: 7px;
    background: #d0d0d0;
    opacity: 0.2;
}

.lotserialthreecolumnautocomplete li {
    display: table-row-group;
}

.lotserialthreecolumnautocomplete a {
    display: table-row !important;
    color: black;
}

    .lotserialthreecolumnautocomplete a.AutoCompleteLine:hover {
        background-color: #E6ECF0;
        color: black;
    }

    .lotserialthreecolumnautocomplete a.AutoCompleteLine:focus {
        background-color: #E6ECF0;
        color: black;
    }

.lotserialthreecolumnautocomplete .col {
    display: table-cell;
    padding: 4px;
    border-bottom: 1px solid #dfdfdf;
    border-left: 1px solid #dfdfdf;
}

.lotserialthreecolumnautocomplete .colHeader {
    display: table-cell;
    color: darkslategrey;
    background-color: #d0d0d0;
    font-weight: bold;
    padding: 4px;
    border: 1px solid #dfdfdf;
    min-width: 100px;
}

.ie7 .lotserialthreecolumnautocomplete .col {
    display: block;
    float: left;
    width: 15em;
    overflow: hidden;
    white-space: nowrap;
}
/***************************************************************************
                                End
            Lot serial Three Columns Autocomplete
/***************************************************************************/

/***************************************************************************
                                Start POS Container
/***************************************************************************/
.Pos_Main_Container {
    width: 90%;
    background-color: #fefefe;
    border-radius: 0.42rem;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    margin-top: 15px;
    -webkit-box-shadow: 0px 0px 30px 0px rgb(82 63 105 / 5%);
    box-shadow: 0px 0px 30px 0px rgb(82 63 105 / 5%);
    border: 0;
}

.pos-container {
    width: 98% !important;
}
/***************************************************************************
                                End POS Container
/***************************************************************************/


/***************************************************************************
                                Start Grid
/***************************************************************************/

.PosGridHeader {
    background: #f1f2f6; /* url('/Content/img/Pos_Grid_Footer.png') repeat-x left top;*/
    overflow: hidden;
    border: 1px solid #ddd;
    height: 45px;
    min-height: 45px;
    padding-top: 2.5px;
}

    .PosGridHeader .NoBottomBorder {
        border-bottom-width: 0px !important;
        vertical-align: middle;
    }
/***************************************************************************
                                End Grid
/***************************************************************************/

/***************************************************************************
                                Start Pagination
/***************************************************************************/
.PosPaginationTr {
    background: #f1f2f6 url('/Content/img/Pos_Grid_Footer.png') repeat-x left top !important;
    height:48px;
    min-height:48px;
}

.PosPagination {
    /*background: #f1f2f6 url('/Content/img/Pos_Grid_Footer.png') repeat-x left top;
    display: inline-block;
    width: 100%;
    margin-top: -20px;
    border: 1px solid #ddd;
    height: 45px;
    min-height: 45px;
    padding-top: 2.5px;
    border-top: 0px;*/
}

    .PosPagination select {
        width: 70px;
        display: inline-block;
        font-size: 15px;
        margin-top: 2px;
    }

    .PosPagination span {
        font-size: 15px;
        font-weight: bold;
        margin: 8px;
    }

    .PosPagination a {
        font-size: 15px;
        color: black;
        float: left;
        padding: 8px 16px;
        text-decoration: none;
    }

        .PosPagination a.active {
            background-color: #5066AC;
            color: white;
            border-radius: 5px;
        }

        .PosPagination a:hover:not(.active) {
            background-color: #ddd;
            border-radius: 5px;
        }

.Pos_Pagination_SmallCell {
    text-align: center;
    vertical-align: middle;
    max-width: 100px;
    white-space: break-spaces;
    word-break: break-all;
}
/***************************************************************************
                                End Pagination
/***************************************************************************/

/***************************************************************************
                                Start POS Label and Button
/***************************************************************************/
.PosLabel {
    display: inline-flex;
    height: 31px;
    font-size: 13px;
    padding: 8px;
    border-radius: 4px;
    align-items: center;
    font-weight: 500 !important;
}

.PosLabel-Container {
    margin-right: 1px;
    margin-left: 1px;
    line-height: 40px;
}

.PosLabel.PosLabel-Primary {
    color: #3699FF;
    background-color: #E1F0FF;
    display: inherit;
}

.PosLabel.PosLabel-Warning {
    color: #FFA800;
    background-color: #FFF4DE;
    display: inherit;
}

.PosLabel.PosLabel-Success {
    color: #1BC5BD;
    background-color: #C9F7F5;
    display: inherit;
}

.PosLabel.PosLabel-Danger {
    color: #F64E60;
    background-color: #FFE2E5;
    display: inherit;
}

.PosButton {
    width: 125px;
    min-width: 125px;
}

.POSRegion {
    background-color: #f3f3f3;
    padding: 5px;
    border-radius: 10px;
    margin-bottom: 10px;
}

.PromotionBox {
    width: 100%;
    margin-top: -20px;
    padding-left: 70px;
    padding-right: 70px;
}

.POSline {
    margin-top: -5px !important;
    margin-bottom: 5px !important;
}

.img-box {
    height: 90%;
    max-width: 90%;
}
/***************************************************************************
                                End POS Label and Button
/***************************************************************************/


/***************************************************************************
                                Start POS Call Center special CSS
/***************************************************************************/
.smallLabel {
    font-weight: 400 !important;
    font-size: 13px !important;
}
/***************************************************************************
                                END POS Call Center special CSS
/***************************************************************************/

.drillDownViewPath {
    border-top: 1px solid #269abc;
    border-bottom: 1px solid #269abc;
    border-left: 1px solid #269abc;
    background-color: #269abc;
    color: #ffffff;
    padding: 8px;
    display: inline-block;
    margin: 0px 25px 0px 1px;
    font-weight: 600;
    font-size: 13px;
    border-radius: 1.5px;
    cursor: pointer;
    position: relative;
}

    .drillDownViewPath:after {
        content: "";
        position: absolute;
        left: 100%;
        top: 0;
        border: 17.3px solid transparent;
        border-left: 25px solid #269abc;
    }


.Pos_Highlight {
    color: #4285F4 !important;
}
.Pos_Matrix_Addons{
    padding:4px;
}

.Pos_Break_Word {
    word-break: break-all;
    padding-left:0px;
}
.Pos_PlusMinus {
    width: 25px !important;
    vertical-align: top;
    margin-top: -1.5px !important;
}
.Pos_TableScroll {
    height: 270px;
    overflow: hidden auto;
    position: absolute;
    width: 98%;

}
/***************************************************************************
                                Start Checkbox special CSS
/***************************************************************************/

.pos_radio {
    top: 1px;
    display: inline-block;
    position: relative;
    padding-left: 25px;
    text-align: left;
    cursor: pointer;
    font-size: 1rem;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    margin: 0;
}

input[type="radio"], input[type="pos_radio"] {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    padding: 0;
}

.pos_radio {
    display: inline-block;
    position: relative;
    padding-left: 25px;
    text-align: left;
    cursor: pointer;
    font-size: 12px !important;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    margin: 0;
}

    .pos_radio:hover > input:not([disabled]) ~ span,
    .pos_radio > input:focus ~ span {
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
    }

    .pos_radio > input {
        position: absolute;
        z-index: -1;
        opacity: 0;
    }

    .pos_radio > span {
        border-radius: 0.42rem;
        background-color: none;
        position: absolute;
        top: 1px;
        left: 0;
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

        .pos_radio > span:after {
            content: '';
            border-color: transparent;
            border-style: solid;
            border-width: 0 2px 2px 0 /*rtl:ignore*/ !important;
            -webkit-transform: rotate(45deg) /*rtl:ignore*/;
            transform: rotate(45deg) /*rtl:ignore*/;
            margin-top: -2px;
        }

    .pos_radio > input:checked ~ span {
        -webkit-transition: all 0.3s ease;
        transition: all 0.3s ease;
        background-color: none;
    }

        .pos_radio > input:checked ~ span:after {
            display: block;
        }

.pos_radio {
    top: 1px;
    padding-top: 0px !important
}

    .pos_radio > span {
        height: 18px;
        width: 18px;
    }

        .pos_radio > span:after {
            width: 5px;
            height: 10px;
        }

    .pos_radio > span {
        background-color: #ECF0F3;
        border: 1px solid transparent;
    }

    .pos_radio > input:focus ~ span {
        border: 1px solid transparent;
    }

    .pos_radio > input:checked ~ span {
        background-color: #3699FF !important;
    }

        .pos_radio > input:checked ~ span:after {
            border-color: #ffffff;
        }


/***************************************************************************
                                End Checkbox special CSS
/***************************************************************************/
